Skip to main content
GET
/
api
/
v1
/
voice_library
List voices in the library
curl --request GET \
  --url https://{subdomain}.mihu.ai/api/v1/voice_library \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/voice_library"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{subdomain}.mihu.ai/api/v1/voice_library', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Voice library retrieved successfully",
  "data": {
    "items": [
      {
        "uuid": "ebeba3e0-89b5-4c94-9841-9555ab155dbc",
        "name": "Giulia",
        "language": "it",
        "gender": "female",
        "accent": "standard",
        "age": "adult"
      }
    ],
    "pagination": {
      "current_page": 1,
      "total": 123,
      "last_page": 123,
      "per_page": 123
    }
  }
}
{
"success": false,
"message": "Agent not found",
"data": []
}
{
"success": false,
"message": "Agent not found",
"data": []
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Query Parameters

language
string

ISO language code (e.g. it, en, tr).

gender
string

Voice gender (male, female, neutral).

accent
string

Voice accent label.

Partial match on voice name.

page
integer
default:1
Required range: x >= 1
per_page
integer
default:25
Required range: 1 <= x <= 100

Response

Voices retrieved successfully

success
boolean
Example:

true

message
string
Example:

"Voice library retrieved successfully"

data
object